List sources
curl --request GET \
--url https://hooksnode.com/api/v1/projects/{projectId}/sources \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://hooksnode.com/api/v1/projects/{projectId}/sources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://hooksnode.com/api/v1/projects/{projectId}/sources"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://hooksnode.com/api/v1/projects/{projectId}/sources"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"sources": [
{
"id": "<string>",
"project_id": "<string>",
"name": "<string>",
"type": "webhook",
"is_default": true,
"status": "active",
"status_reason": "<string>",
"url": "<string>",
"signing_enabled": true,
"signing_secret": null,
"signature_header": "<string>",
"rate_limit": 123,
"config": {},
"last_event_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}Projects
List sources
List the sources of a project. The response holds no signing secrets or verify tokens. Read them in the dashboard.
GET
/
api
/
v1
/
projects
/
{projectId}
/
sources
List sources
curl --request GET \
--url https://hooksnode.com/api/v1/projects/{projectId}/sources \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://hooksnode.com/api/v1/projects/{projectId}/sources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://hooksnode.com/api/v1/projects/{projectId}/sources"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://hooksnode.com/api/v1/projects/{projectId}/sources"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"sources": [
{
"id": "<string>",
"project_id": "<string>",
"name": "<string>",
"type": "webhook",
"is_default": true,
"status": "active",
"status_reason": "<string>",
"url": "<string>",
"signing_enabled": true,
"signing_secret": null,
"signature_header": "<string>",
"rate_limit": 123,
"config": {},
"last_event_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}